//if a cookie exists - read it

function getCookie(cname) {
  return window.localStorage.getItem(cname);
}

function writeCookie (key, value, days) {
  window.localStorage.setItem(key,value);
}

Date.prototype.stdTimezoneOffset = function () {
  var jan = new Date(this.getFullYear(), 0, 1);
  var jul = new Date(this.getFullYear(), 6, 1);
  return Math.max(jan.getTimezoneOffset(), jul.getTimezoneOffset());
};

Date.prototype.isDstObserved = function () {
  return this.getTimezoneOffset() < this.stdTimezoneOffset();
};

// Get UTC offset
var today = new Date();
if (today.isDstObserved()) {
  document.cookie = "dst_active=Yes; expires=; path/";
} else
{
  document.cookie = "dst_active=No; expires=; path/";
}
var offset = new Date().getTimezoneOffset(), o = Math.abs(offset);
var offset = (offset < 0 ? "+" : "-") + ("00" + Math.floor(o / 60)).slice(-2) + ":" + ("00" + (o % 60)).slice(-2);

// Set cookie
document.cookie = "hp_time_offset" + "=" + (offset || "") + ";expires=; path/";

